Description

Supportanfrage

ich habe eine kurze Frage zur ADTF Streaming Library. Ich erstelle eine neue Datei, einen Stream (CreateStream) und schreibe

dann meine Daten per IADTFFileWriter::Write (die Überladung mit 7 Parametern). Für den tmTimeStampData-Parameter übergebe

ich dabei stets -1, damit der Zeitstempel berechnet werden soll. So weit klappt das auch, allerdings sind die Zeitstempel in der

resultierenden DAT Datei alle 0. Was mache ich falsch?

Vielen Dank!

Lösung

Du verwechselst die Berechnung mit dem Chunk, das ist ein anderer Parameter.

Den für das Media Sample musst du schon setzen oder eine andere Methode benutzen, siehe unsere Beispiele.

History

#1 - 2018-11-30 08:23 - hidden

- Project changed from Public Support to 21

- Status changed from New to In Progress

- Topic set to StreamingLib::Writer

#2 - 2018-11-30 08:26 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Robert,

du verwechselst die Berechnung mit dem Chunk, das ist ein anderer Parameter.

Den für das Media Sample musst du schon setzen oder eine andere Methode benutzen, siehe unsere Beispiele.

#3 - 2018-11-30 10:26 - hidden

Oh stimmt, hab ich falsch gelesen. Das verrückte ist, dass es klappt, wenn ich gleichzeitig andere Streams aus einer existierenden Datei kopiere (für

deren Samples ich dann beim Schreiben den tmTimeStampData Parameter setze). Dann kann ich für den o.g. Stream den Parameter auf -1 setzen

und die Zeitstempel werden irgendwie generiert (mit sinnvollen Werten).

#4 - 2018-12-03 09:21 - hidden

- Project changed from 21 to Public Support

- Subject changed from Frage zur Streaming Library und Zeitstempeln to TimeStamp in Streaming Library

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue
#5 - 2018-12-03 09:21 - hidden

- Status changed from To Be Closed to Closed
